curl --request PUT \
--url https://api.getcargo.io/v1/storage/models/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"extractorSlug": "<string>",
"config": {},
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"unification": {
"source": "<string>"
},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"model": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"datasetUuid": "<string>",
"extractorSlug": "<string>",
"position": {
"x": 123,
"y": 123
},
"config": {},
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"meta": {},
"columns": [
{
"slug": "<string>",
"type": "string",
"label": "<string>",
"kind": "<string>",
"originalSlug": "<string>",
"properties": [
"<string>"
],
"description": "<string>"
}
],
"additionalColumns": [
{
"slug": "<string>",
"type": "string",
"label": "<string>",
"kind": "<string>",
"properties": [
"<string>"
],
"description": "<string>"
}
],
"idColumnSlug": "<string>",
"unification": {
"source": "<string>"
},
"titleColumnSlug": "<string>",
"timeColumnSlug": "<string>",
"folderUuid": "<string>",
"playsCount": 123,
"segmentsCount": 123,
"isPaused": true,
"lastEmittedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastRun": {
"uuid": "<string>",
"status": "pending",
"errorMessage": "<string>",
"createdAt": "<string>",
"finishedAt": "<string>"
},
"kind": "<string>",
"connectorUuid": "<string>"
}
}Update a model by UUID
curl --request PUT \
--url https://api.getcargo.io/v1/storage/models/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"extractorSlug": "<string>",
"config": {},
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"unification": {
"source": "<string>"
},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"model": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"datasetUuid": "<string>",
"extractorSlug": "<string>",
"position": {
"x": 123,
"y": 123
},
"config": {},
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"meta": {},
"columns": [
{
"slug": "<string>",
"type": "string",
"label": "<string>",
"kind": "<string>",
"originalSlug": "<string>",
"properties": [
"<string>"
],
"description": "<string>"
}
],
"additionalColumns": [
{
"slug": "<string>",
"type": "string",
"label": "<string>",
"kind": "<string>",
"properties": [
"<string>"
],
"description": "<string>"
}
],
"idColumnSlug": "<string>",
"unification": {
"source": "<string>"
},
"titleColumnSlug": "<string>",
"timeColumnSlug": "<string>",
"folderUuid": "<string>",
"playsCount": 123,
"segmentsCount": 123,
"isPaused": true,
"lastEmittedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastRun": {
"uuid": "<string>",
"status": "pending",
"errorMessage": "<string>",
"createdAt": "<string>",
"finishedAt": "<string>"
},
"kind": "<string>",
"connectorUuid": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Model identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Request body schema.
Model name.
Model description.
Extractor identifier.
Model position in the canvas.
Show child attributes
Model configuration.
Show child attributes
Model schedule configuration.
Show child attributes
Model unification configuration.
Show child attributes
Folder identifier. Only compatible with nativeIntegration define extractors.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Updated model details.
Show child attributes
Was this page helpful?